<?php
/**
 * Email notification template (HTML) for auctions closing soon.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


$product_data = wc_get_product($product_id);
if ( $product_data ) {
	$product_title = $product_data->get_title();
	$price         = wc_price( $product_data->get_curent_bid() );
	$auction_end_time = $product_data->get_auction_end_time();
} else {
	$product_title = esc_html__( 'Dummy Auction Product', 'wc_simple_auctions' );
	$price         = wc_price( 10 );
	$auction_end_time = date( 'Y-m-d H:i:s' );
}

do_action('woocommerce_email_header', $email_heading, $email);

?>

<p>
<?php
    printf(
        wp_kses_post( __("Auction <a href='%s'>%s</a> is going to be closed at %s. Current bid is %s.", 'wc_simple_auctions') ),
            get_permalink($product_id), $product_title,  date_i18n( get_option( 'date_format' ),
            strtotime( $auction_end_time )).' '.date_i18n( get_option( 'time_format' ),
            strtotime( $auction_end_time )), $price
    );
?>
</p>

<p><small>
	<?php
	printf(
        wp_kses_post( __("To unsubscribe from ending soon emails <a href='%s'>click here</a>", 'wc_simple_auctions') ), get_permalink( get_option('woocommerce_myaccount_page_id')).'/auctions-endpoint/');
    ?></small>
</p>

<p><?php

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( isset( $additional_content ) && $additional_content ) {
    echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

?></p>

<?php do_action('woocommerce_email_footer', $email); ?>
